{ ... }:
{

  imports = [

    ./caddy.nix
    ./disko.nix
    ./data.nix
    ./firewall.nix
    ./forgejo.nix
    ./hardware-configuration.nix
    ./homeassistant.nix
    ./invidious.nix
    ./minecraft.nix
    ./nfs.nix
    ./radicale.nix

    ../../modules/default

  ];

  server.enable = true;

  common.syncthing = {
    enable = true;
    basePath = "/mnt/data/services/syncthing/data";
    devices = {
      Lenni = { id = "XS6NR2Q-DHVB5G4-P43CHWR-TVBIY5A-FCIS7CU-S5UVNZA-5YPJYST-2EO2GAG"; };
      Puenktchen = { id = "VP3YVIM-JNSZTXV-7AS7FA2-3W5QKH6-XOWXX7N-STUR4JR-PR6SPCV-HJZMAAN"; };
      Damin = { id = "HAGKFGG-EMCPKHG-Y7V2ACJ-DJVAIIA-A6TNGTQ-VWPB3F5-PES673W-W2YBJAD"; };
    };
  };

}
